payments
Create Payment
POST
/
sessions
/
{session_id}
/
payments
Create Payment
curl --request POST \
--url https://api.example.com/sessions/{session_id}/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'idempotency-key: <idempotency-key>' \
--data '
{
"amount": 1,
"currency": "<string>",
"merchant_url": "<string>",
"merchant_name": "<string>",
"description": "<string>",
"mode": "live"
}
'import requests
url = "https://api.example.com/sessions/{session_id}/payments"
payload = {
"amount": 1,
"currency": "<string>",
"merchant_url": "<string>",
"merchant_name": "<string>",
"description": "<string>",
"mode": "live"
}
headers = {
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'idempotency-key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amount: 1,
currency: '<string>',
merchant_url: '<string>',
merchant_name: '<string>',
description: '<string>',
mode: 'live'
})
};
fetch('https://api.example.com/sessions/{session_id}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"session_id": "<string>",
"status": "<string>",
"mode": "<string>",
"amount": "<string>",
"currency": "<string>",
"merchant_name": "<string>",
"merchant_url": "<string>",
"vault_id": "<string>",
"approval_url": "<string>",
"connection_url": "<string>",
"connection_phrase": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"error_code": "<string>",
"next_action": {
"type": "ssn_verification",
"resolution": "auto_resume",
"action_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"purchase_status": "unverified"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Required string length:
1 - 200Path Parameters
Query Parameters
Body
application/json
Amount in currency units, e.g. 100.91 means USD 100.91. Never rounded.
Required range:
x > 0Pattern:
^[a-z]{3}$Maximum string length:
2048Required string length:
1 - 200Required string length:
100 - 4000Available options:
test, live Response
Successful Response
Amount in currency units, serialized as an exact decimal string.
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Show child attributes
Show child attributes
Allowed value:
"unverified"Was this page helpful?
⌘I
Create Payment
